## Code for numerical analysis and simulations presented in

### Evolutionary rescue and drug resistance on multicopy plasmids. Mario Santer and Hildegard Uecker. December 2019.

* _Figure 2_ (**The influence of the dominance function of a plasmid mutation and of gene dosage effects on the establishment of resistance-conferring plasmid variants and the probability of evolutionary rescue**): 
 
 Numerical results for establishment probabilities and probabilities of evolutionary rescue were obtained by use of Mathematica (see `mcp_rescue_approx/Notebook.nb`).
 
 Stochastic simulations were performed with the code stored in`mcp_rescue_stoch` (see `README.md` in subfolder)
 
* _Figure 3_: (**Dependence of the optimal plasmid copy number on the antibiotic concentration**)

 Numerical results for probabilities of evolutionary rescue were obtained by use of Mathematica (see `mcp_concentration/Notebook.nb`).
 
* _Figure 4_ (**Mutant frequencies in the standing genetic variation depend on dominance and costs of resistance mutations**) and _Figure 5_ (**Dependence of mutant frequencies on the dominance function and the influence of standing genetic variation on the probability of evolutionary rescue**)
 
 The composition of population under standing genetic variation(SGV; mutant cells) and the probabilities of evolutionary rescue from SGV were obtained by the code in `mcp_sgv_deterministic` for the deterministic model. (see `Notebook.ipynb` in subfolder).
 
 Stochastic simulations to obtain the composition of single populations and probabilities of evolutionary rescue for single populations were performed with the code in `mcp_sgv_stochastic` (see `README.md` in subfolder).